Loading...
Searching...
No Matches
decaf::Ed448Goldilocks Struct Reference

Ed448-Goldilocks/Decaf instantiation of group. More...

`#include <point_448.hxx>`

## Classes

struct | DhLadder
| X-only Diffie-Hellman ladder functions. More...
class | Point
| Element of prime-order elliptic curve group. More...
class | Precomputed
| Precomputed table of points. More...
class | Scalar
| A scalar modulo the curve order. More...

## Static Public Member Functions

static const char * | name ()
| The name of the curve.
static int | bits ()
| The name of the curve.

## Static Public Attributes

static const int | REMOVED_COFACTOR = 4
| The curve's cofactor (removed, but useful for testing)
static const int | FIELD_MODULUS_TYPE = 3
| Residue class of field modulus: p == this mod 2*(this-1)

## Detailed Description

Ed448-Goldilocks/Decaf instantiation of group.

The documentation for this struct was generated from the following file:

- src/GENERATED/include/decaf/point_448.hxx